# const_mem_fun_ref_t Class Template Reference
[Adaptors for pointers to members]

Inheritance diagram for const_mem_fun_ref_t:

List of all members.

### template<class _Ret, class _Tp>
class std::const_mem_fun_ref_t< _Ret, _Tp >

## Public Types

- typedef _Tp argument_type
- typedef _Ret result_type

## Public Member Functions

- const_mem_fun_ref_t (_Ret(_Tp::*__pf)() const)
- _Ret operator() (const _Tp &__r) const

## Member Typedef Documentation

typedef _Tp argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef _Ret result_type `[inherited]`

| argument (no surprises here) `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h